#!/bin/sh

OS=$(uname -s)
PROJ_DIR="$(pwd)"
CHEATNT_DIR="$PROJ_DIR/.cheatnt"

if [[ -e $CHEATNT_DIR ]]; then
	if [[ $OS == "Linux" ]]; then
		echo linux implementation coming soon...
	elif [[ $OS == "Darwin" ]]; then
		tracked_files=($(cat $CHEATNT_DIR/tracked | cut -d ';' -f3 | sed -E "s|$(pwd)/||"))
		echo "zipping ${tracked_files[@]} $CHEATNT_DIR"
		# zip -r SUBMIT_ME.zip $CHEATNT_DIR "${tracked_files[@]}"
		zip -r SUBMIT_ME.zip ".cheatnt" "${tracked_files[@]}"
	elif [[ $OS == "Windows" ]]; then
		echo die trash
	fi
else
	echo "cheatnt wasn't initialized"
fi
